Bug 858229 - Timeout for "Oh no!" Message unsuitable for old/slow hardware
Timeout for "Oh no!" Message unsuitable for old/slow hardware
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 07:32 EDT by bob mckay
Modified: 2013-08-01 06:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:25:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bob mckay 2012-09-18 07:32:11 EDT
Description of problem:
I have around 20 machines (real and virtual) with similar installations: standard gnome installation, but with lxde also installed (there are good reasons for this setup, but no need to discuss here). Intermittently, on either slow machines, or virtual machines, I get the behaviour described below. 

Version-Release number of selected component (if applicable):
All Fedora 16 and 17 versions so far.

How reproducible:
Highly intermittent.

Steps to Reproduce:
1. Boot machine to runlevel 5
  
Actual results:
Oh no! splash screen, followed by login screen overlaid; leads to working but somewhat unreliable lxde session.

Expected results:
Machine boots normally.

Additional info:
As I read it, this is a result of the one-minute timeout simply being insufficient for slow machines. I can understand the logic: if it takes over a minute to get to the login screen, then gnome is going to be unusable anyway, so might as well bail. But that's why I'm using lxde. Unfortunately as far as I can find, I'm stuck with gnome (and thus the timeout) for the login manager. So would it be possible to test the machine speed, and incorporate an estimate into the timeout, rather than just using a fixed 1-minute timeout? Apologies in advance for any misunderstandings on my part.
Comment 1 Joonas Sarajärvi 2013-03-19 03:53:37 EDT
I'd guess it is this same issue that is affecting me on a Rawhide machine where gnome-shell is a bit too slow to start.

I currently use KDM as the login manager, so this only becomes a problem when I try to start a Gnome session the first time after a computer boot. There is a lot of disk activity during Gnome startup which seems to slow things down enough that gnome-session decides to not wait for gnome-shell anymore and instead shows the "Oh no!" screen with the logout button.

After this happening, there is a line in .xsession-errors like this:
Application 'gnome-shell' failed to register before timeout

This would result from the code that prints a warning in gnome-shell/gsm-manager.c:700

I think this could be solved quite easily by increasing the GSM_MANAGER_PHASE_TIMEOUT value in gnome-session/gsm-manager.c:89 to a value that is higher than 30 seconds. I do not really know what would be an appropriate value, but so far 30 seconds seems way too short, to assume that all computers can make that deadline.

With the current packages, gnome manages to start correctly when I try to start it again after the initial attempt. I guess this is because of more content being present in disk cache, which reduces the need to access the physical hard disk.

Exact version numbers, in case it matters:
gnome-shell-3.7.91-1.fc19.x86_64
gnome-session-3.7.91-1.fc19.x86_64
Comment 2 Fedora End Of Life 2013-07-03 23:11:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 06:25:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.